For the complete documentation index, see llms.txt. This page is also available as Markdown.

Chiliz Chain API

Chiliz Chain REST API reference: CHZ circulating supply by block, staking data by address, OpenAPI v3 spec, and Swagger docs at cc-api.chiliz.com.

The Chiliz Chain API provides access to useful information about the CHZ supply and governance, including circulating supply details up to a specific block and staking information for a given address.

API Details

Base URL

The API's base URL is https://cc-api.chiliz.com/

The default Swagger doc is available here: https://cc-api.chiliz.com/docs

Authentication

The Chiliz Chain API uses the OpenAPI Specification (OAS) v3.0.3 for defining its security schemes.

Please refer to the OAS 3.0 specification for details on how to authenticate, as specific authentication methods are not detailed in this documentation.

Data Format

All requests and responses are in JSON format.

Endpoints

GET /supply

Retrieves the current circulating supply of CHZ up to a specified block number, along with block-specific inflation and deflation information.

get
Query parameters
blocknumberOptional
Responses
200

Default Response

application/json
blockstringRequired
totalSupplystringRequired
blockDeflationstringRequired
blockInflationstringRequired
totalBurnedSupplystringRequired
totalIntroducedSupplystringRequired
get/supply
200

Default Response

GET /staker-info

Retrieves the current total staked amount and staking rewards for a specific address up to a certain epoch number, along with details of where the CHZ is staked (validators and amounts).

get
Query parameters
validatorstringOptional
stakerstringRequired
toEpochnumberOptional
Responses
200

Default Response

application/json
totalRewardsstringRequired
stakedAmountstringRequired
get/staker-info
200

Default Response

Last updated

Was this helpful?